<table mat-table [dataSource]="users">

  <!--- Note that these columns can be defined in any order.
        The actual rendered columns are set as a property on the row definition" -->

  <!-- Position Column -->
  <ng-container matColumnDef="id">
    <th mat-header-cell *matHeaderCellDef> №. </th>
    <td mat-cell *matCellDef="let element"> {{element.id}} </td>
  </ng-container>

  <!-- Name Column -->
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef> ФИО </th>
    <td mat-cell *matCellDef="let element">
      {{element.lastName}} {{element.firstName}} {{element.middleName}}
    </td>
  </ng-container>

  <!-- Weight Column -->
  <ng-container matColumnDef="status">
    <th mat-header-cell *matHeaderCellDef> Статус </th>
    <td mat-cell *matCellDef="let element">
      {{coerceUserModelToStatus(element)}}
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="handleRowClick(row)"></tr>
</table>
